from flask import Flask, render_template, request
from pytube import YouTube
import os

app = Flask(__name__)

@app.route('/')
def index():
    return render_template('index.html')

@app.route('/download', methods=['POST'])
def download():
    url = request.form['url']
    output_path = './downloads/'

    if not os.path.exists(output_path):
        os.makedirs(output_path)

    try:
        yt = YouTube(url)
        video = yt.streams.filter(file_extension='mp4', progressive=True).first()

        if not video:
            return render_template('index.html', error_message="No se encontró ningún video MP4 disponible.")

        video.download(output_path)
        return render_template('index.html', success_message="Descarga completada.")
    except Exception as e:
        return render_template('index.html', error_message=f"Error durante la descarga: {e}")

if __name__ == "__main__":
    app.run(debug=True)
